// (CVN) - Candy Valley Network GmbH

#include "LovenseTypes.h"

// EXTERNAL INCLUDES

// INTERNAL INCLUDES


const FString LovenseIntegration::configFileName = TEXT("Lovense/Lovense");
const FString LovenseIntegration::configSectionName = TEXT("Lovense.Lovense");
const FString LovenseIntegration::configStartWithLovenseActiveKeyName = TEXT("StartWithLovenseActive");
PRAGMA_DISABLE_DEPRECATION_WARNINGS
const FString LovenseIntegration::configMobileDeviceIpOverrideKeyName = TEXT("MobileDeviceIpOverride");
const FString LovenseIntegration::configMobileDevicePortOverrideKeyName = TEXT("MobileDevicePortOverride");
PRAGMA_ENABLE_DEPRECATION_WARNINGS
const FString LovenseIntegration::configDeviceIpOverrideKeyName = TEXT("DeviceIpOverride");
const FString LovenseIntegration::configDevicePortOverrideKeyName = TEXT("DevicePortOverride");
const FString LovenseIntegration::configDevicePlatformIsMobileKeyName = TEXT("DevicePlatformIsMobile");
const FString LovenseIntegration::configToyDelayKeyName = TEXT("ToyDelay");
const FString LovenseIntegration::configToyStrengthMultiplierKeyName = TEXT("ToyStrengthMultiplier");


FString FLovensePattern::ParsePattern() {
	if (this->pattern.Num() <= 0) return TEXT("");
	FString output = TEXT("");
	for (int32 i : this->pattern) {
		output.AppendInt(i);
		output.Append(TEXT(";"));
	}
	output.RemoveAt(output.Len() - 1);
	return output;
}

//UELovenseCommands::UELovenseCommands(UELovenseCommands&& copy) {
//
//}
//
//UELovenseCommands::UELovenseCommands()
//{
//}
